[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: support for hyperthreading?



Michael Wardle wrote:

On Tuesday, March 11, 2003 14:00, Saqib Ali wrote:


Does the latest Linux Kernel support Intel's new HyperThreading
processors?



No, if I remember correctly, HT support is just going into the latest development kernel (2.5.x), which means that the current stable kernel (2.4.x) probably doesn't support it yet.





There are 2 level of support.


1)The OS sees the addition logical proccessors. This works with newer 2.4 kernels.

2)The OS is aware which of the logical cpus belong to which proccessors, and try to schedule jobs on different physical cpu where possible. This works with newer 2.5 kernels.

--
There is no such thing as obsolete hardware.
Merely hardware that other people don't want.
(The Second Rule of Hardware Acquisition)
Sam Flory  <sflory rackable com>







[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]